/*
 * this is the "new" installer
 */


/*
 *
 */
package installer.common;


/*
 *
 */
import java.awt.EventQueue;
import java.util.logging.Level;
import java.util.logging.Logger;

import java.util.logging.Handler;
import java.util.logging.LogRecord;


/*
 *
 */
public class PaneBasedInstaller
{
    public static void run(final Controller nativeController,
                           final NativeGUI nativeGUI)
    {
        Runnable guiRunner;


        //
        guiRunner = new Runnable()
            {
                public void run()
                {
                    // InstallerWindow installerWindow;
                    Logger logger;


                    logger = Logger.getLogger("controller");
                    logger.setLevel(Level.FINEST);
                    // nativeController.setLogger(logger);

                    // installerWindow = new InstallerWindow("WFDB Tools for MATLAB",
                    //                                       nativeController,
                    //                                       logger);
                    // installerWindow.show();

                    //
                    new InstallerGUI(nativeGUI, logger, nativeController);
                }
            };

        //
        EventQueue.invokeLater(guiRunner);
    }
}
